This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1007477 - [abrt] fontforge-20120731b-7.fc19: GDrawFontMetrics: Process /usr/bin/fontforge was killed by signal 11 (SIGSEGV)
[abrt] fontforge-20120731b-7.fc19: GDrawFontMetrics: Process /usr/bin/fontfor...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fontforge (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:c7e558f8cad621de8f731e8338f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-12 10:44 EDT by Sean Burke
Modified: 2015-02-18 06:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:26:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (14.43 KB, text/plain)
2013-09-12 10:44 EDT, Sean Burke
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-12 10:44 EDT, Sean Burke
no flags Details
File: core_backtrace (872 bytes, text/plain)
2013-09-12 10:44 EDT, Sean Burke
no flags Details
File: dso_list (6.38 KB, text/plain)
2013-09-12 10:44 EDT, Sean Burke
no flags Details
File: environ (1.11 KB, text/plain)
2013-09-12 10:44 EDT, Sean Burke
no flags Details
File: exploitable (82 bytes, text/plain)
2013-09-12 10:44 EDT, Sean Burke
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-12 10:45 EDT, Sean Burke
no flags Details
File: maps (30.37 KB, text/plain)
2013-09-12 10:45 EDT, Sean Burke
no flags Details
File: open_fds (143 bytes, text/plain)
2013-09-12 10:45 EDT, Sean Burke
no flags Details
File: proc_pid_status (934 bytes, text/plain)
2013-09-12 10:45 EDT, Sean Burke
no flags Details
File: var_log_messages (321 bytes, text/plain)
2013-09-12 10:45 EDT, Sean Burke
no flags Details

  None (edit)
Description Sean Burke 2013-09-12 10:44:15 EDT
Description of problem:
Crashed on execution from gnome-shell overview.

Version-Release number of selected component:
fontforge-20120731b-7.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        fontforge
crash_function: GDrawFontMetrics
executable:     /usr/bin/fontforge
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 GDrawFontMetrics at gdrawtxt.c:2339

Potential duplicate: bug 772221
Comment 1 Sean Burke 2013-09-12 10:44:28 EDT
Created attachment 796894 [details]
File: backtrace
Comment 2 Sean Burke 2013-09-12 10:44:32 EDT
Created attachment 796895 [details]
File: cgroup
Comment 3 Sean Burke 2013-09-12 10:44:39 EDT
Created attachment 796896 [details]
File: core_backtrace
Comment 4 Sean Burke 2013-09-12 10:44:46 EDT
Created attachment 796897 [details]
File: dso_list
Comment 5 Sean Burke 2013-09-12 10:44:52 EDT
Created attachment 796898 [details]
File: environ
Comment 6 Sean Burke 2013-09-12 10:44:56 EDT
Created attachment 796899 [details]
File: exploitable
Comment 7 Sean Burke 2013-09-12 10:45:00 EDT
Created attachment 796900 [details]
File: limits
Comment 8 Sean Burke 2013-09-12 10:45:05 EDT
Created attachment 796901 [details]
File: maps
Comment 9 Sean Burke 2013-09-12 10:45:09 EDT
Created attachment 796902 [details]
File: open_fds
Comment 10 Sean Burke 2013-09-12 10:45:13 EDT
Created attachment 796903 [details]
File: proc_pid_status
Comment 11 Sean Burke 2013-09-12 10:45:23 EDT
Created attachment 796904 [details]
File: var_log_messages
Comment 12 Sean Burke 2013-09-12 11:07:15 EDT
This appears to be a repeat of the previous missing font issues, due to an issue in the sazanami-mincho-fonts packaging. Is there any way to make fontforge not crash on such an issue?
Comment 13 Kevin Fenzi 2013-09-14 13:56:16 EDT
Open to ideas or patches. ;) 

I agree it should be more robust for this kind of thing...
Comment 14 Fedora End Of Life 2015-01-09 17:18:02 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-18 06:26:52 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.